Page MenuHomePhabricator

[Investigation: Timebox 2 hours] Split up items and properties in the response
Closed, ResolvedPublic

Description

In the WBManifest prototype, we grouped items and properties together under equivEntities. This was pointed out by one tool builder as potentially confusing. We should determine whether it makes more sense to group them together or split them up.

Things we considered

  • Extensibility to other entity types (besides items/properties): MediaInfo, Lexemes, and potentially EntitySchemas in the future
  • How precisely would it help tool builders to have them split? Human consumption or machine readability?

Things discussed, but not relevant

  • For sysadmins, slightly easier to check the manually entered equivalent entities if they are split apart into Ps and Qs (i.e. only PIDs are linked to other PIDs, so no properties are being mapped to an item on Wikidata)
  • Splitting them apart also allows for validation of the input (the entity ID fits the expected pattern) to automatically reject incorrect input

Decision to Document
Include in the ADR for the final manifest format an explanation around why we decided to split or not split apart entity types.

Event Timeline

Samantha_Alipio_WMDE updated the task description. (Show Details)
Samantha_Alipio_WMDE renamed this task from Split up items and properties in the response to [Product Investigation} Split up items and properties in the response.Aug 26 2020, 10:39 AM
Samantha_Alipio_WMDE updated the task description. (Show Details)
Samantha_Alipio_WMDE renamed this task from [Product Investigation} Split up items and properties in the response to [Product Investigation: Timebox 2 hours] Split up items and properties in the response.Aug 26 2020, 11:11 AM
Samantha_Alipio_WMDE renamed this task from [Product Investigation: Timebox 2 hours] Split up items and properties in the response to [Investigation: Timebox 2 hours] Split up items and properties in the response.Aug 31 2020, 11:03 AM
Samantha_Alipio_WMDE triaged this task as Medium priority.

Change 624011 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/WikibaseManifest@master] Add ADR 3 - Manifest Output Format

https://gerrit.wikimedia.org/r/624011

Change 624011 merged by jenkins-bot:
[mediawiki/extensions/WikibaseManifest@master] Add docs - Manifest Output Format

https://gerrit.wikimedia.org/r/624011

Samantha_Alipio_WMDE closed this task as Resolved.Sep 24 2020, 12:09 PM